


# SmeupInputPanelValue class












## Constructors

[SmeupInputPanelValue](../smeup_models_widgets_smeup_input_panel_field/SmeupInputPanelValue/SmeupInputPanelValue.md) ({[String](https://api.flutter.dev/flutter/dart-core/String-class.html) code = "", [String](https://api.flutter.dev/flutter/dart-core/String-class.html) descr = ""})

    


## Properties

##### [code](../smeup_models_widgets_smeup_input_panel_field/SmeupInputPanelValue/code.md) &#8596; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)



   
_read / write_



##### [descr](../smeup_models_widgets_smeup_input_panel_field/SmeupInputPanelValue/descr.md) &#8596; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)



   
_read / write_



##### [hashCode](../smeup_models_widgets_smeup_input_panel_field/SmeupInputPanelValue/hashCode.md) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)



The hash code for this object. [...](../smeup_models_widgets_smeup_input_panel_field/SmeupInputPanelValue/hashCode.md)  
_read-only, override_



##### [runtimeType](https://api.flutter.dev/flutter/dart-core/Object/runtimeType.html) &#8594; [Type](https://api.flutter.dev/flutter/dart-core/Type-class.html)



A representation of the runtime type of the object.   
_read-only, inherited_




## Methods

##### [noSuchMethod](https://api.flutter.dev/flutter/dart-core/Object/noSuchMethod.html)([Invocation](https://api.flutter.dev/flutter/dart-core/Invocation-class.html) invocation) dynamic



Invoked when a non-existent method or property is accessed. [...](https://api.flutter.dev/flutter/dart-core/Object/noSuchMethod.html)  
_inherited_



##### [toString](../smeup_models_widgets_smeup_input_panel_field/SmeupInputPanelValue/toString.md)() [String](https://api.flutter.dev/flutter/dart-core/String-class.html)



A string representation of this object. [...](../smeup_models_widgets_smeup_input_panel_field/SmeupInputPanelValue/toString.md)  
_override_




## Operators

##### [operator ==](../smeup_models_widgets_smeup_input_panel_field/SmeupInputPanelValue/operator_equals.md)(dynamic o) [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



The equality operator. [...](../smeup_models_widgets_smeup_input_panel_field/SmeupInputPanelValue/operator_equals.md)  
_override_











